Skip to main content

Get webhook

GET 

/v2/webhooks/:webhookId

Gets webhook object with all details.

Request

Path Parameters

    webhookId string required

    Webhook ID.


    Example: pVJtoTelgYUq4qJOt

Status 200

Response Headers
    {
    "data": {
    "id": "YiKoxjkaS9gjGTqhF",
    "createdAt": "2019-12-12T07:34:14.202Z",
    "modifiedAt": "2019-12-13T08:36:13.202Z",
    "userId": "wRsJZtadYvn4mBZmm",
    "isAdHoc": false,
    "isEnabled": true,
    "actionType": "HTTP_REQUEST",
    "isApifyIntegration": false,
    "shouldInterpolateStrings": false,
    "eventTypes": [
    "ACTOR.RUN.SUCCEEDED"
    ],
    "condition": {
    "actorId": "hksJZtadYvn4mBuin",
    "actorTaskId": "asdLZtadYvn4mBZmm",
    "actorRunId": "hgdKZtadYvn4mBpoi"
    },
    "ignoreSslErrors": false,
    "doNotRetry": false,
    "requestUrl": "http://example.com/",
    "payloadTemplate": "{\\n \"userId\": {{userId}}...",
    "headersTemplate": "{\\n \"Authorization\": \"Bearer ...\"}",
    "title": "Notify on failure",
    "description": "this is webhook description",
    "slackMessage": {
    "userIntegrationId": "kLcd8Z4dzXN1z3QzS",
    "channelId": "C01234ABCDE",
    "messageTemplate": "Actor run {{resource.id}} finished."
    },
    "googleMail": {
    "userIntegrationId": "kLcd8Z4dzXN1z3QzS",
    "emailTo": [
    "bob@example.com"
    ],
    "subject": "Actor run finished",
    "body": "Actor run {{resource.id}} finished.",
    "attachmentFormat": "csv",
    "attachmentTransformation": {
    "fields": [
    "title",
    "url"
    ],
    "omit": [
    "html"
    ]
    }
    },
    "googleDrive": {
    "userIntegrationId": "kLcd8Z4dzXN1z3QzS",
    "filename": "results",
    "format": "json",
    "transformation": {
    "fields": [
    "title",
    "url"
    ],
    "omit": [
    "html"
    ]
    }
    },
    "githubIssue": {
    "userIntegrationId": "kLcd8Z4dzXN1z3QzS",
    "repository": "apify/apify-docs",
    "title": "Actor run failed",
    "body": "Actor run {{resource.id}} failed."
    },
    "lastDispatch": {
    "status": "ACTIVE",
    "finishedAt": "2019-12-13T08:36:13.202Z",
    "removedAt": null
    },
    "stats": {
    "totalDispatches": 1
    }
    }
    }